//----------------------------------------------------------------------
//EASTRISING TECHNOLOGY CO,.LTD.//
// Module    : ER-OLED0.54-1    96*32
// Lanuage   : C51 Code
// Create    : JAVEN
// Date      : 2023-04-22
// Drive IC  : CH1115
// INTERFACE : I2C
// MCU 		 : STC12LE5A60S2
// VDD		 : 3.3V   
//----------------------------------------------------------------------

#include <intrins.h>
#include <reg51.h>
#define  u8 unsigned char 
#define  u16 unsigned int

	
#define OLED_CMD  0	
#define OLED_DATA 1	

sbit OLED_SCL=P1^0;//SCL
sbit OLED_SDA=P1^1;//SDA
sbit OLED_RES =P3^4;//RES

#define OLED_SCL_Clr() OLED_SCL=0
#define OLED_SCL_Set() OLED_SCL=1

#define OLED_SDA_Clr() OLED_SDA=0
#define OLED_SDA_Set() OLED_SDA=1

#define OLED_RES_Clr() OLED_RES=0
#define OLED_RES_Set() OLED_RES=1

#define OLED_DC_Clr() OLED_DC=0
#define OLED_DC_Set() OLED_DC=1

#define OLED_CS_Clr()  OLED_CS=0
#define OLED_CS_Set()  OLED_CS=1

sbit	int0=P3^2;
sbit key_add=P0^1;
sbit key_dec=P0^2;
u8 Contrast_level=0x4F;
bit log=0;



#define Write_Address 0x78/*slave addresses with write*/
#define Read_Address 0x79/*slave addresses with read*/



void Delay1(u16 n);
void Write_number(u8 code *n,u8 k,u8 station_dot);
void display_Contrast_level(u8 number);
void adj_Contrast(void);
void Delay(u16 n);

void OLED_ColorTurn(u8 i);
void OLED_DisplayTurn(u8 i);
void OLED_WR_Byte(u8 dat,u8 cmd);
void OLED_Set_Pos(u8 x, u8 y);
void OLED_Display_On(void);
void OLED_Display_Off(void);
void OLED_Clear(void);
void OLED_ShowChar(u8 x,u8 y,u8 chr,u8 sizey);
u16 oled_pow(u8 m,u8 n);
void OLED_ShowNum(u8 x,u8 y,u16 num,u8 len,u8 sizey);
void OLED_ShowString(u8 x,u8 y,u8 *chr,u8 sizey);
void OLED_ShowChinese(u8 x,u8 y,u8 no,u8 sizey);
void OLED_DrawBMP(u8 x,u8 y,u8 sizex, u8 sizey,u8 BMP[]);
void OLED_Init(void);



unsigned char code asc2_0806[][6];
unsigned char code asc2_1608[][16];
unsigned char code Hzk[][32];

unsigned char code pic[];
unsigned char code pic1[];
unsigned char code pic2[];
unsigned char code pic3[];
unsigned char code pic4[];


void Step(void) interrupt 0 using 0
{
	Delay1(300);
	if(int0==0)	log=!log;
   while(!int0);
  return;

}

void Delay1(u16 n)
{  
while(n--)
  {_nop_();
	_nop_();
	_nop_();
	_nop_(); 
 	_nop_();
	_nop_();

   }
}

void Delay(u16 n)
{while(n)
 {    if((key_add==0)||(key_dec==0)) adj_Contrast();
	  n--; Delay1(500) ;
 }
 	for(;log==1;)
	{
 	 if((key_add==0)||(key_dec==0)) adj_Contrast();	

	}


	return;
}





 void display_Contrast_level(u8 number)
{	u8 number1,number2,number3;	u8 value[10] = {'0', '1', '2', '3', '4', '5', '6', '7', '8', '9'};
	number1=number/100;number2=number%100/10;	number3=number%100%10;
	OLED_ShowChar(0,0,value[number1],16) ;
	OLED_ShowChar(8,0,value[number2],16) ;
	OLED_ShowChar(16,0,value[number3],16) ;
}


void adj_Contrast(void)
{	Delay1(300);
 	 if((key_add==0)||(key_dec==0))
		{		
		 if	(key_add==0) 
			{Contrast_level+=1;
		   	OLED_WR_Byte(0x81,OLED_CMD); // Set Contrast Control
			OLED_WR_Byte(Contrast_level,OLED_CMD);	
			display_Contrast_level(Contrast_level);
			Delay1(8000);
			if(key_add==0)
				{Delay1(8000);
					if(key_add==0)			
						{Delay1(8000);
							if(key_add==0)
								{Delay1(8000);
									if(key_add==0)

										{while(key_add==0)
											{Contrast_level+=1; 
		   										OLED_WR_Byte(0x81,OLED_CMD); // Set Contrast Control
												OLED_WR_Byte(Contrast_level,OLED_CMD);	
												display_Contrast_level(Contrast_level);
							 					Delay1(4000); 
											}
										}
								}				
						}						
				}												
			}
	


		  
	
		 if	(key_dec==0) 
			{Contrast_level-=1; 
			OLED_WR_Byte(0x81,OLED_CMD); // Set Contrast Control
			OLED_WR_Byte(Contrast_level,OLED_CMD);	
			display_Contrast_level(Contrast_level);
			Delay1(8000);
			if(key_dec==0)
				{Delay1(8000);
					if(key_dec==0)			
						{Delay1(8000);
							if(key_dec==0)
								{Delay1(8000);
									if(key_dec==0)

										{while(key_dec==0)
											{Contrast_level-=1; 
		   										OLED_WR_Byte(0x81,OLED_CMD); // Set Contrast Control
												OLED_WR_Byte(Contrast_level,OLED_CMD);	
												display_Contrast_level(Contrast_level);
							 					Delay1(4000); 
											}
										}
								}				
						}						
				}												
			}

	  	}
}
 





void I2C_Start(void)
{
	OLED_SDA_Set();
	OLED_SCL_Set();
	_nop_();
	_nop_(); 
 	_nop_();
	OLED_SDA_Clr();
	_nop_();
	_nop_(); 
 	_nop_();
	OLED_SCL_Clr();
	 
}


void I2C_Stop(void)
{
	OLED_SDA_Clr();
	OLED_SCL_Set();
	_nop_();
	_nop_(); 
 	_nop_();
	OLED_SDA_Set();
}


void I2C_WaitAck(void) 
{
	OLED_SDA_Set();
	_nop_();
	_nop_(); 
 	_nop_();
	OLED_SCL_Set();
	_nop_();
	_nop_(); 
 	_nop_();
	OLED_SCL_Clr();
	_nop_();
	_nop_(); 
 	_nop_();
}


void Send_Byte(u8 dat)
{
	u8 i;
	for(i=0;i<8;i++)
	{
		OLED_SCL_Clr();
		if(dat&0x80)
		{
			OLED_SDA_Set();
    }
		else
		{
			OLED_SDA_Clr();
    }
		_nop_();
		_nop_(); 
	 	_nop_();
		OLED_SCL_Set();
		_nop_();
		_nop_(); 
	 	_nop_();
		OLED_SCL_Clr();
		dat<<=1;
  }
}


void OLED_WR_Byte(u8 dat,u8 mode)
{
	I2C_Start();
	Send_Byte(Write_Address);
	I2C_WaitAck();
	if(mode){Send_Byte(0x40);}
  else{Send_Byte(0x00);}
	I2C_WaitAck();
	Send_Byte(dat);
	I2C_WaitAck();
	I2C_Stop();
}




void OLED_ColorTurn(u8 i)
{
	if(i==0)
		{
			OLED_WR_Byte(0xA6,OLED_CMD);
		}
	if(i==1)
		{
			OLED_WR_Byte(0xA7,OLED_CMD);
		}
}

u8 x_offset=0;
void OLED_DisplayTurn(u8 i)
{
	if(i==0)
	{
		x_offset=0;
		OLED_WR_Byte(0xD3,OLED_CMD); /*set display offset*/
		OLED_WR_Byte(0x30,OLED_CMD);
		OLED_WR_Byte(0xC0,OLED_CMD);//ʾ
		OLED_WR_Byte(0xA0,OLED_CMD);
	}
	if(i==1)
	{
		x_offset=0x02;
		OLED_WR_Byte(0xC8,OLED_CMD);//תʾ
		OLED_WR_Byte(0xA1,OLED_CMD);
	}
}




void OLED_Set_Pos(u8 x, u8 y) 
{
	x+=x_offset*16;
	OLED_WR_Byte(0xb0+y,OLED_CMD);
	OLED_WR_Byte(((x&0xf0)>>4)|0x10,OLED_CMD);
	OLED_WR_Byte((x&0x0f),OLED_CMD);
}    	  
  
void OLED_Display_On(void)
{
	OLED_WR_Byte(0X8D,OLED_CMD);  //SET DCDC
	OLED_WR_Byte(0X14,OLED_CMD);  //DCDC ON
	OLED_WR_Byte(0XAF,OLED_CMD);  //DISPLAY ON
}
    
void OLED_Display_Off(void)
{
	OLED_WR_Byte(0X8D,OLED_CMD);  //SET DCDC
	OLED_WR_Byte(0X10,OLED_CMD);  //DCDC OFF
	OLED_WR_Byte(0XAE,OLED_CMD);  //DISPLAY OFF
}		   			 
 
void OLED_Clear(void)  
{  
	u8 i,n;		    
	for(i=0;i<5;i++)  
	{  
		OLED_WR_Byte (0xb0+i,OLED_CMD);    
		OLED_WR_Byte (0x00,OLED_CMD);      
		OLED_WR_Byte (0x10+x_offset,OLED_CMD);      
		for(n=0;n<96;n++)OLED_WR_Byte(0,OLED_DATA); 
	} 
}


//x:0~127
//y:0~63				 
//sizey:6x8  8x16
void OLED_ShowChar(u8 x,u8 y,u8 chr,u8 sizey)
{      	
	u8 c=0,sizex=sizey/2;
	u16 i=0,size1;
	if(sizey==8)size1=6;
	else size1=(sizey/8+((sizey%8)?1:0))*(sizey/2);
	c=chr-' ';
	OLED_Set_Pos(x,y);
	for(i=0;i<size1;i++)
	{
		if(i%sizex==0&&sizey!=8) OLED_Set_Pos(x,y++);
		if(sizey==8) OLED_WR_Byte(asc2_0806[c][i],OLED_DATA);//6X8
		else if(sizey==16) OLED_WR_Byte(asc2_1608[c][i],OLED_DATA);//8x16
//		else if(sizey==xx) OLED_WR_Byte(asc2_xxxx[c][i],OLED_DATA);
		else return;
	}
}

u16 oled_pow(u8 m,u8 n)
{
	u16 result=1;	 
	while(n--)result*=m;    
	return result;
}				  
		  
void OLED_ShowNum(u8 x,u8 y,u16 num,u8 len,u8 sizey)
{         	
	u8 t,temp,m=0;
	u8 enshow=0;
	if(sizey==8)m=2;
	for(t=0;t<len;t++)
	{
		temp=(num/oled_pow(10,len-t-1))%10;
		if(enshow==0&&t<(len-1))
		{
			if(temp==0)
			{
				OLED_ShowChar(x+(sizey/2+m)*t,y,' ',sizey);
				continue;
			}else enshow=1;
		}
	 	OLED_ShowChar(x+(sizey/2+m)*t,y,temp+'0',sizey);
	}
}

void OLED_ShowString(u8 x,u8 y,u8 *chr,u8 sizey)
{
	u8 j=0;
	while (chr[j]!='\0')
	{		
		OLED_ShowChar(x,y,chr[j++],sizey);
		if(sizey==8)x+=6;
		else x+=sizey/2;
	}
}

void OLED_ShowChinese(u8 x,u8 y,u8 no,u8 sizey)
{
	u16 i,size1=(sizey/8+((sizey%8)?1:0))*sizey;
	for(i=0;i<size1;i++)
	{
		if(i%sizey==0) OLED_Set_Pos(x,y++);
		if(sizey==16) OLED_WR_Byte(Hzk[no][i],OLED_DATA);//16x16
//		else if(sizey==xx) OLED_WR_Byte(xxx[c][i],OLED_DATA);//
		else return;
	}				
}



void OLED_DrawBMP(u8 x,u8 y,u8 sizex, u8 sizey,u8 BMP[])
{ 	
  u16 j=0;
	u8 i,m;
	sizey=sizey/8+((sizey%8)?1:0);
	for(i=0;i<sizey;i++)
	{
		OLED_Set_Pos(x,i+y);
    for(m=0;m<sizex;m++)
		{      
			OLED_WR_Byte(BMP[j++],OLED_DATA);	    	
		}
	}
} 


				    
void OLED_Init(void)
{

	
	OLED_RES_Clr();
	Delay(50);
	OLED_RES_Set();
	
	OLED_WR_Byte(0xAE,OLED_CMD); /*display off*/
 	OLED_WR_Byte(0x00,OLED_CMD); /*set lower column address*/ 
  	OLED_WR_Byte(0x10,OLED_CMD); /*set higher column address*/
	OLED_WR_Byte(0x40,OLED_CMD); /*set display start line*/
	OLED_WR_Byte(0xB0,OLED_CMD); /*set page address*/
	OLED_WR_Byte(0x81,OLED_CMD); /*contract control*/
	OLED_WR_Byte(0x48,OLED_CMD); /*128*/
	OLED_WR_Byte(0x82,OLED_CMD);
	OLED_WR_Byte(0x03,OLED_CMD);
	OLED_WR_Byte(0xA0,OLED_CMD); /*set segment remap*/
	OLED_WR_Byte(0xA2,OLED_CMD);
	OLED_WR_Byte(0xA4,OLED_CMD);
	OLED_WR_Byte(0xA6,OLED_CMD); /*normal / reverse*/
	OLED_WR_Byte(0xA8,OLED_CMD); /*multiplex ratio*/
	OLED_WR_Byte(0x1F,OLED_CMD); /*duty = 1/32*/
	OLED_WR_Byte(0xC8,OLED_CMD); /*Com scan direction*/
	OLED_WR_Byte(0xD3,OLED_CMD); /*set display offset*/
	OLED_WR_Byte(0x10,OLED_CMD);
	OLED_WR_Byte(0xD5,OLED_CMD); /*set osc division*/
	OLED_WR_Byte(0xB1,OLED_CMD);
	OLED_WR_Byte(0xD9,OLED_CMD); /*set pre-charge period*/
	OLED_WR_Byte(0x62,OLED_CMD);
	OLED_WR_Byte(0xDB,OLED_CMD); /*set COM pins*/
	OLED_WR_Byte(0x3F,OLED_CMD);
	OLED_WR_Byte(0xdb,OLED_CMD); /*set vcomh*/
	OLED_WR_Byte(0x3F,OLED_CMD);
	OLED_WR_Byte(0x32,OLED_CMD); /*set charge pump enable*/
	OLED_WR_Byte(0xAD,OLED_CMD);
	OLED_WR_Byte(0x8B,OLED_CMD);
	OLED_Clear();
	OLED_WR_Byte(0xAF,OLED_CMD); /*display ON*/ 
}


int main(void)
{	u8 t=' ';

	IE=0x81;
	IP=0x01;
	TCON=0x01;
	int0=1;

	

	OLED_Init();
	OLED_ColorTurn(0);
    OLED_DisplayTurn(0);
	while(1) 
	{

	 	OLED_Clear();
    	OLED_ShowChinese(0,0,0,16);
		OLED_ShowChinese(16,0,1,16);
		OLED_ShowChinese(32,0,2,16);
		OLED_ShowChinese(48,0,3,16);
		OLED_ShowChinese(64,0,4,16);
 		OLED_ShowChinese(80,0,5,16);
		OLED_ShowString(9,2,"ER-OLED0.54-1",8);
		OLED_ShowString(5,3,"buydisplay.com",8);
		Delay(1000);
	


		
		OLED_DrawBMP(0,0,96,32,pic1);
		Delay(1000);
		OLED_ColorTurn(1);
		Delay(1000);
		OLED_ColorTurn(0);
		OLED_DrawBMP(0,0,96,32,pic2);
		Delay(1000);
		OLED_ColorTurn(1);
		Delay(1000);
		OLED_ColorTurn(0);
		OLED_DrawBMP(0,0,96,32,pic3);
		Delay(1000);
		OLED_ColorTurn(1);
		Delay(1000);
		OLED_ColorTurn(0);
		OLED_DrawBMP(0,0,96,32,pic4);
		Delay(1000);
		OLED_ColorTurn(1);
		Delay(1000);
		OLED_ColorTurn(0);




	}
}


/************************************6*8 accll************************************/
unsigned char code asc2_0806[][6] ={
{0x00, 0x00, 0x00, 0x00, 0x00, 0x00},// sp
{0x00, 0x00, 0x00, 0x2f, 0x00, 0x00},// !
{0x00, 0x00, 0x07, 0x00, 0x07, 0x00},// "
{0x00, 0x14, 0x7f, 0x14, 0x7f, 0x14},// #
{0x00, 0x24, 0x2a, 0x7f, 0x2a, 0x12},// $
{0x40, 0x26, 0x16, 0x68, 0x64, 0x02},// %
{0x00, 0x36, 0x49, 0x55, 0x22, 0x50},// &
{0x00, 0x00, 0x05, 0x03, 0x00, 0x00},// '
{0x00, 0x00, 0x1c, 0x22, 0x41, 0x00},// (
{0x00, 0x00, 0x41, 0x22, 0x1c, 0x00},// )
{0x00, 0x14, 0x08, 0x3E, 0x08, 0x14},// *
{0x00, 0x08, 0x08, 0x3E, 0x08, 0x08},// +
{0x00, 0x00, 0x00, 0xA0, 0x60, 0x00},// ,
{0x00, 0x08, 0x08, 0x08, 0x08, 0x08},// -
{0x00, 0x00, 0x60, 0x60, 0x00, 0x00},// .
{0x00, 0x20, 0x10, 0x08, 0x04, 0x02},// /
{0x00, 0x3E, 0x51, 0x49, 0x45, 0x3E},// 0
{0x00, 0x00, 0x42, 0x7F, 0x40, 0x00},// 1
{0x00, 0x42, 0x61, 0x51, 0x49, 0x46},// 2
{0x00, 0x21, 0x41, 0x45, 0x4B, 0x31},// 3
{0x00, 0x18, 0x14, 0x12, 0x7F, 0x10},// 4
{0x00, 0x27, 0x45, 0x45, 0x45, 0x39},// 5
{0x00, 0x3C, 0x4A, 0x49, 0x49, 0x30},// 6
{0x00, 0x01, 0x71, 0x09, 0x05, 0x03},// 7
{0x00, 0x36, 0x49, 0x49, 0x49, 0x36},// 8
{0x00, 0x06, 0x49, 0x49, 0x29, 0x1E},// 9
{0x00, 0x00, 0x36, 0x36, 0x00, 0x00},// :
{0x00, 0x00, 0x56, 0x36, 0x00, 0x00},// ;
{0x00, 0x08, 0x14, 0x22, 0x41, 0x00},// <
{0x00, 0x14, 0x14, 0x14, 0x14, 0x14},// =
{0x00, 0x00, 0x41, 0x22, 0x14, 0x08},// >
{0x00, 0x02, 0x01, 0x51, 0x09, 0x06},// ?
{0x00, 0x32, 0x49, 0x59, 0x51, 0x3E},// @
{0x00, 0x7C, 0x12, 0x11, 0x12, 0x7C},// A
{0x00, 0x7F, 0x49, 0x49, 0x49, 0x36},// B
{0x00, 0x3E, 0x41, 0x41, 0x41, 0x22},// C
{0x00, 0x7F, 0x41, 0x41, 0x22, 0x1C},// D
{0x00, 0x7F, 0x49, 0x49, 0x49, 0x41},// E
{0x00, 0x7F, 0x09, 0x09, 0x09, 0x01},// F
{0x00, 0x3E, 0x41, 0x49, 0x49, 0x7A},// G
{0x00, 0x7F, 0x08, 0x08, 0x08, 0x7F},// H
{0x00, 0x00, 0x41, 0x7F, 0x41, 0x00},// I
{0x00, 0x20, 0x40, 0x41, 0x3F, 0x01},// J
{0x00, 0x7F, 0x08, 0x14, 0x22, 0x41},// K
{0x00, 0x7F, 0x40, 0x40, 0x40, 0x40},// L
{0x00, 0x7F, 0x02, 0x0C, 0x02, 0x7F},// M
{0x00, 0x7F, 0x04, 0x08, 0x10, 0x7F},// N
{0x00, 0x3E, 0x41, 0x41, 0x41, 0x3E},// O
{0x00, 0x7F, 0x09, 0x09, 0x09, 0x06},// P
{0x00, 0x3E, 0x41, 0x51, 0x21, 0x5E},// Q
{0x00, 0x7F, 0x09, 0x19, 0x29, 0x46},// R
{0x00, 0x46, 0x49, 0x49, 0x49, 0x31},// S
{0x00, 0x01, 0x01, 0x7F, 0x01, 0x01},// T
{0x00, 0x3F, 0x40, 0x40, 0x40, 0x3F},// U
{0x00, 0x1F, 0x20, 0x40, 0x20, 0x1F},// V
{0x00, 0x3F, 0x40, 0x38, 0x40, 0x3F},// W
{0x00, 0x63, 0x14, 0x08, 0x14, 0x63},// X
{0x00, 0x07, 0x08, 0x70, 0x08, 0x07},// Y
{0x00, 0x61, 0x51, 0x49, 0x45, 0x43},// Z
{0x00, 0x00, 0x7F, 0x41, 0x41, 0x00},// [
{0x00, 0x55, 0x2A, 0x55, 0x2A, 0x55},// 55
{0x00, 0x00, 0x41, 0x41, 0x7F, 0x00},// ]
{0x00, 0x04, 0x02, 0x01, 0x02, 0x04},// ^
{0x00, 0x40, 0x40, 0x40, 0x40, 0x40},// _
{0x00, 0x00, 0x01, 0x02, 0x04, 0x00},// '
{0x00, 0x20, 0x54, 0x54, 0x54, 0x78},// a
{0x00, 0x7F, 0x48, 0x44, 0x44, 0x38},// b
{0x00, 0x38, 0x44, 0x44, 0x44, 0x20},// c
{0x00, 0x38, 0x44, 0x44, 0x48, 0x7F},// d
{0x00, 0x38, 0x54, 0x54, 0x54, 0x18},// e
{0x00, 0x08, 0x7E, 0x09, 0x01, 0x02},// f
{0x00, 0x18, 0xA4, 0xA4, 0xA4, 0x7C},// g
{0x00, 0x7F, 0x08, 0x04, 0x04, 0x78},// h
{0x00, 0x00, 0x44, 0x7D, 0x40, 0x00},// i
{0x00, 0x40, 0x80, 0x84, 0x7D, 0x00},// j
{0x00, 0x7F, 0x10, 0x28, 0x44, 0x00},// k
{0x00, 0x00, 0x41, 0x7F, 0x40, 0x00},// l
{0x00, 0x7C, 0x04, 0x18, 0x04, 0x78},// m
{0x00, 0x7C, 0x08, 0x04, 0x04, 0x78},// n
{0x00, 0x38, 0x44, 0x44, 0x44, 0x38},// o
{0x00, 0xFC, 0x24, 0x24, 0x24, 0x18},// p
{0x00, 0x18, 0x24, 0x24, 0x18, 0xFC},// q
{0x00, 0x7C, 0x08, 0x04, 0x04, 0x08},// r
{0x00, 0x48, 0x54, 0x54, 0x54, 0x20},// s
{0x00, 0x04, 0x3F, 0x44, 0x40, 0x20},// t
{0x00, 0x3C, 0x40, 0x40, 0x20, 0x7C},// u
{0x00, 0x1C, 0x20, 0x40, 0x20, 0x1C},// v
{0x00, 0x3C, 0x40, 0x30, 0x40, 0x3C},// w
{0x00, 0x44, 0x28, 0x10, 0x28, 0x44},// x
{0x00, 0x1C, 0xA0, 0xA0, 0xA0, 0x7C},// y
{0x00, 0x44, 0x64, 0x54, 0x4C, 0x44},// z
{0x14, 0x14, 0x14, 0x14, 0x14, 0x14},// horiz lines

};


//16*16 ASCII
unsigned char code asc2_1608[][16]={	  
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*" ",0*/
{0x00,0x00,0x00,0xF8,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x33,0x30,0x00,0x00,0x00},/*"!",1*/
{0x00,0x10,0x0C,0x06,0x10,0x0C,0x06,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*""",2*/
{0x40,0xC0,0x78,0x40,0xC0,0x78,0x40,0x00,0x04,0x3F,0x04,0x04,0x3F,0x04,0x04,0x00},/*"#",3*/
{0x00,0x70,0x88,0xFC,0x08,0x30,0x00,0x00,0x00,0x18,0x20,0xFF,0x21,0x1E,0x00,0x00},/*"$",4*/
{0xF0,0x08,0xF0,0x00,0xE0,0x18,0x00,0x00,0x00,0x21,0x1C,0x03,0x1E,0x21,0x1E,0x00},/*"%",5*/
{0x00,0xF0,0x08,0x88,0x70,0x00,0x00,0x00,0x1E,0x21,0x23,0x24,0x19,0x27,0x21,0x10},/*"&",6*/
{0x10,0x16,0x0E,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"'",7*/
{0x00,0x00,0x00,0xE0,0x18,0x04,0x02,0x00,0x00,0x00,0x00,0x07,0x18,0x20,0x40,0x00},/*"(",8*/
{0x00,0x02,0x04,0x18,0xE0,0x00,0x00,0x00,0x00,0x40,0x20,0x18,0x07,0x00,0x00,0x00},/*")",9*/
{0x40,0x40,0x80,0xF0,0x80,0x40,0x40,0x00,0x02,0x02,0x01,0x0F,0x01,0x02,0x02,0x00},/*"*",10*/
{0x00,0x00,0x00,0xF0,0x00,0x00,0x00,0x00,0x01,0x01,0x01,0x1F,0x01,0x01,0x01,0x00},/*"+",11*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0xB0,0x70,0x00,0x00,0x00,0x00,0x00},/*",",12*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x01,0x01,0x01,0x01,0x01,0x01},/*"-",13*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x00,0x00,0x00,0x00,0x00},/*".",14*/
{0x00,0x00,0x00,0x00,0x80,0x60,0x18,0x04,0x00,0x60,0x18,0x06,0x01,0x00,0x00,0x00},/*"/",15*/
{0x00,0xE0,0x10,0x08,0x08,0x10,0xE0,0x00,0x00,0x0F,0x10,0x20,0x20,0x10,0x0F,0x00},/*"0",16*/
{0x00,0x10,0x10,0xF8,0x00,0x00,0x00,0x00,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00},/*"1",17*/
{0x00,0x70,0x08,0x08,0x08,0x88,0x70,0x00,0x00,0x30,0x28,0x24,0x22,0x21,0x30,0x00},/*"2",18*/
{0x00,0x30,0x08,0x88,0x88,0x48,0x30,0x00,0x00,0x18,0x20,0x20,0x20,0x11,0x0E,0x00},/*"3",19*/
{0x00,0x00,0xC0,0x20,0x10,0xF8,0x00,0x00,0x00,0x07,0x04,0x24,0x24,0x3F,0x24,0x00},/*"4",20*/
{0x00,0xF8,0x08,0x88,0x88,0x08,0x08,0x00,0x00,0x19,0x21,0x20,0x20,0x11,0x0E,0x00},/*"5",21*/
{0x00,0xE0,0x10,0x88,0x88,0x18,0x00,0x00,0x00,0x0F,0x11,0x20,0x20,0x11,0x0E,0x00},/*"6",22*/
{0x00,0x38,0x08,0x08,0xC8,0x38,0x08,0x00,0x00,0x00,0x00,0x3F,0x00,0x00,0x00,0x00},/*"7",23*/
{0x00,0x70,0x88,0x08,0x08,0x88,0x70,0x00,0x00,0x1C,0x22,0x21,0x21,0x22,0x1C,0x00},/*"8",24*/
{0x00,0xE0,0x10,0x08,0x08,0x10,0xE0,0x00,0x00,0x00,0x31,0x22,0x22,0x11,0x0F,0x00},/*"9",25*/
{0x00,0x00,0x00,0xC0,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x30,0x00,0x00,0x00},/*":",26*/
{0x00,0x00,0x00,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x60,0x00,0x00,0x00,0x00},/*";",27*/
{0x00,0x00,0x80,0x40,0x20,0x10,0x08,0x00,0x00,0x01,0x02,0x04,0x08,0x10,0x20,0x00},/*"<",28*/
{0x40,0x40,0x40,0x40,0x40,0x40,0x40,0x00,0x04,0x04,0x04,0x04,0x04,0x04,0x04,0x00},/*"=",29*/
{0x00,0x08,0x10,0x20,0x40,0x80,0x00,0x00,0x00,0x20,0x10,0x08,0x04,0x02,0x01,0x00},/*">",30*/
{0x00,0x70,0x48,0x08,0x08,0x08,0xF0,0x00,0x00,0x00,0x00,0x30,0x36,0x01,0x00,0x00},/*"?",31*/
{0xC0,0x30,0xC8,0x28,0xE8,0x10,0xE0,0x00,0x07,0x18,0x27,0x24,0x23,0x14,0x0B,0x00},/*"@",32*/
{0x00,0x00,0xC0,0x38,0xE0,0x00,0x00,0x00,0x20,0x3C,0x23,0x02,0x02,0x27,0x38,0x20},/*"A",33*/
{0x08,0xF8,0x88,0x88,0x88,0x70,0x00,0x00,0x20,0x3F,0x20,0x20,0x20,0x11,0x0E,0x00},/*"B",34*/
{0xC0,0x30,0x08,0x08,0x08,0x08,0x38,0x00,0x07,0x18,0x20,0x20,0x20,0x10,0x08,0x00},/*"C",35*/
{0x08,0xF8,0x08,0x08,0x08,0x10,0xE0,0x00,0x20,0x3F,0x20,0x20,0x20,0x10,0x0F,0x00},/*"D",36*/
{0x08,0xF8,0x88,0x88,0xE8,0x08,0x10,0x00,0x20,0x3F,0x20,0x20,0x23,0x20,0x18,0x00},/*"E",37*/
{0x08,0xF8,0x88,0x88,0xE8,0x08,0x10,0x00,0x20,0x3F,0x20,0x00,0x03,0x00,0x00,0x00},/*"F",38*/
{0xC0,0x30,0x08,0x08,0x08,0x38,0x00,0x00,0x07,0x18,0x20,0x20,0x22,0x1E,0x02,0x00},/*"G",39*/
{0x08,0xF8,0x08,0x00,0x00,0x08,0xF8,0x08,0x20,0x3F,0x21,0x01,0x01,0x21,0x3F,0x20},/*"H",40*/
{0x00,0x08,0x08,0xF8,0x08,0x08,0x00,0x00,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00},/*"I",41*/
{0x00,0x00,0x08,0x08,0xF8,0x08,0x08,0x00,0xC0,0x80,0x80,0x80,0x7F,0x00,0x00,0x00},/*"J",42*/
{0x08,0xF8,0x88,0xC0,0x28,0x18,0x08,0x00,0x20,0x3F,0x20,0x01,0x26,0x38,0x20,0x00},/*"K",43*/
{0x08,0xF8,0x08,0x00,0x00,0x00,0x00,0x00,0x20,0x3F,0x20,0x20,0x20,0x20,0x30,0x00},/*"L",44*/
{0x08,0xF8,0xF8,0x00,0xF8,0xF8,0x08,0x00,0x20,0x3F,0x00,0x3F,0x00,0x3F,0x20,0x00},/*"M",45*/
{0x08,0xF8,0x30,0xC0,0x00,0x08,0xF8,0x08,0x20,0x3F,0x20,0x00,0x07,0x18,0x3F,0x00},/*"N",46*/
{0xE0,0x10,0x08,0x08,0x08,0x10,0xE0,0x00,0x0F,0x10,0x20,0x20,0x20,0x10,0x0F,0x00},/*"O",47*/
{0x08,0xF8,0x08,0x08,0x08,0x08,0xF0,0x00,0x20,0x3F,0x21,0x01,0x01,0x01,0x00,0x00},/*"P",48*/
{0xE0,0x10,0x08,0x08,0x08,0x10,0xE0,0x00,0x0F,0x18,0x24,0x24,0x38,0x50,0x4F,0x00},/*"Q",49*/
{0x08,0xF8,0x88,0x88,0x88,0x88,0x70,0x00,0x20,0x3F,0x20,0x00,0x03,0x0C,0x30,0x20},/*"R",50*/
{0x00,0x70,0x88,0x08,0x08,0x08,0x38,0x00,0x00,0x38,0x20,0x21,0x21,0x22,0x1C,0x00},/*"S",51*/
{0x18,0x08,0x08,0xF8,0x08,0x08,0x18,0x00,0x00,0x00,0x20,0x3F,0x20,0x00,0x00,0x00},/*"T",52*/
{0x08,0xF8,0x08,0x00,0x00,0x08,0xF8,0x08,0x00,0x1F,0x20,0x20,0x20,0x20,0x1F,0x00},/*"U",53*/
{0x08,0x78,0x88,0x00,0x00,0xC8,0x38,0x08,0x00,0x00,0x07,0x38,0x0E,0x01,0x00,0x00},/*"V",54*/
{0xF8,0x08,0x00,0xF8,0x00,0x08,0xF8,0x00,0x03,0x3C,0x07,0x00,0x07,0x3C,0x03,0x00},/*"W",55*/
{0x08,0x18,0x68,0x80,0x80,0x68,0x18,0x08,0x20,0x30,0x2C,0x03,0x03,0x2C,0x30,0x20},/*"X",56*/
{0x08,0x38,0xC8,0x00,0xC8,0x38,0x08,0x00,0x00,0x00,0x20,0x3F,0x20,0x00,0x00,0x00},/*"Y",57*/
{0x10,0x08,0x08,0x08,0xC8,0x38,0x08,0x00,0x20,0x38,0x26,0x21,0x20,0x20,0x18,0x00},/*"Z",58*/
{0x00,0x00,0x00,0xFE,0x02,0x02,0x02,0x00,0x00,0x00,0x00,0x7F,0x40,0x40,0x40,0x00},/*"[",59*/
{0x00,0x0C,0x30,0xC0,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x01,0x06,0x38,0xC0,0x00},/*"\",60*/
{0x00,0x02,0x02,0x02,0xFE,0x00,0x00,0x00,0x00,0x40,0x40,0x40,0x7F,0x00,0x00,0x00},/*"]",61*/
{0x00,0x00,0x04,0x02,0x02,0x02,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"^",62*/
{0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80},/*"_",63*/
{0x00,0x02,0x02,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"`",64*/
{0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x19,0x24,0x22,0x22,0x22,0x3F,0x20},/*"a",65*/
{0x08,0xF8,0x00,0x80,0x80,0x00,0x00,0x00,0x00,0x3F,0x11,0x20,0x20,0x11,0x0E,0x00},/*"b",66*/
{0x00,0x00,0x00,0x80,0x80,0x80,0x00,0x00,0x00,0x0E,0x11,0x20,0x20,0x20,0x11,0x00},/*"c",67*/
{0x00,0x00,0x00,0x80,0x80,0x88,0xF8,0x00,0x00,0x0E,0x11,0x20,0x20,0x10,0x3F,0x20},/*"d",68*/
{0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x1F,0x22,0x22,0x22,0x22,0x13,0x00},/*"e",69*/
{0x00,0x80,0x80,0xF0,0x88,0x88,0x88,0x18,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00},/*"f",70*/
{0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x6B,0x94,0x94,0x94,0x93,0x60,0x00},/*"g",71*/
{0x08,0xF8,0x00,0x80,0x80,0x80,0x00,0x00,0x20,0x3F,0x21,0x00,0x00,0x20,0x3F,0x20},/*"h",72*/
{0x00,0x80,0x98,0x98,0x00,0x00,0x00,0x00,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00},/*"i",73*/
{0x00,0x00,0x00,0x80,0x98,0x98,0x00,0x00,0x00,0xC0,0x80,0x80,0x80,0x7F,0x00,0x00},/*"j",74*/
{0x08,0xF8,0x00,0x00,0x80,0x80,0x80,0x00,0x20,0x3F,0x24,0x02,0x2D,0x30,0x20,0x00},/*"k",75*/
{0x00,0x08,0x08,0xF8,0x00,0x00,0x00,0x00,0x00,0x20,0x20,0x3F,0x20,0x20,0x00,0x00},/*"l",76*/
{0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x20,0x3F,0x20,0x00,0x3F,0x20,0x00,0x3F},/*"m",77*/
{0x80,0x80,0x00,0x80,0x80,0x80,0x00,0x00,0x20,0x3F,0x21,0x00,0x00,0x20,0x3F,0x20},/*"n",78*/
{0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x00,0x1F,0x20,0x20,0x20,0x20,0x1F,0x00},/*"o",79*/
{0x80,0x80,0x00,0x80,0x80,0x00,0x00,0x00,0x80,0xFF,0xA1,0x20,0x20,0x11,0x0E,0x00},/*"p",80*/
{0x00,0x00,0x00,0x80,0x80,0x80,0x80,0x00,0x00,0x0E,0x11,0x20,0x20,0xA0,0xFF,0x80},/*"q",81*/
{0x80,0x80,0x80,0x00,0x80,0x80,0x80,0x00,0x20,0x20,0x3F,0x21,0x20,0x00,0x01,0x00},/*"r",82*/
{0x00,0x00,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x33,0x24,0x24,0x24,0x24,0x19,0x00},/*"s",83*/
{0x00,0x80,0x80,0xE0,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0x1F,0x20,0x20,0x00,0x00},/*"t",84*/
{0x80,0x80,0x00,0x00,0x00,0x80,0x80,0x00,0x00,0x1F,0x20,0x20,0x20,0x10,0x3F,0x20},/*"u",85*/
{0x80,0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x00,0x01,0x0E,0x30,0x08,0x06,0x01,0x00},/*"v",86*/
{0x80,0x80,0x00,0x80,0x00,0x80,0x80,0x80,0x0F,0x30,0x0C,0x03,0x0C,0x30,0x0F,0x00},/*"w",87*/
{0x00,0x80,0x80,0x00,0x80,0x80,0x80,0x00,0x00,0x20,0x31,0x2E,0x0E,0x31,0x20,0x00},/*"x",88*/
{0x80,0x80,0x80,0x00,0x00,0x80,0x80,0x80,0x80,0x81,0x8E,0x70,0x18,0x06,0x01,0x00},/*"y",89*/
{0x00,0x80,0x80,0x80,0x80,0x80,0x80,0x00,0x00,0x21,0x30,0x2C,0x22,0x21,0x30,0x00},/*"z",90*/
{0x00,0x00,0x00,0x00,0x80,0x7C,0x02,0x02,0x00,0x00,0x00,0x00,0x00,0x3F,0x40,0x40},/*"{",91*/
{0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0x00,0x00,0x00},/*"|",92*/
{0x00,0x02,0x02,0x7C,0x80,0x00,0x00,0x00,0x00,0x40,0x40,0x3F,0x00,0x00,0x00,0x00},/*"}",93*/
{0x00,0x06,0x01,0x01,0x02,0x02,0x04,0x04,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00},/*"~",94*/
};  
unsigned char code Hzk[][32]={
/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x10,0x10,0xFF,0x10,0xF0,0x00,0x00,0xFE,0x22,0x22,0x22,0x22,0xFE,0x00,0x00,
0x40,0x30,0x0E,0x01,0x00,0x3F,0x40,0x40,0x47,0x44,0x44,0x44,0x44,0x47,0x70,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x00,0x00,0xFE,0x42,0x42,0x42,0x42,0x42,0x42,0x42,0xFE,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x3F,0x10,0x10,0x10,0x10,0x10,0x10,0x10,0x3F,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x00,0x04,0x04,0xC4,0xB4,0x8C,0x87,0x84,0xF4,0x84,0x84,0x84,0x84,0x04,0x00,0x00,
0x00,0x00,0x20,0x18,0x0E,0x04,0x20,0x40,0xFF,0x00,0x02,0x04,0x18,0x30,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x08,0x08,0x08,0x08,0x08,0x08,0xF9,0x4A,0x4C,0x48,0x48,0xC8,0x08,0x08,0x08,0x00,
0x40,0x40,0x20,0x10,0x0C,0x03,0x00,0x00,0x20,0x40,0x40,0x3F,0x00,0x00,0x00,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x10,0x12,0x92,0x72,0xFE,0x51,0x91,0x00,0x22,0xCC,0x00,0x00,0xFF,0x00,0x00,0x00,
0x04,0x02,0x01,0x00,0xFF,0x00,0x04,0x04,0x04,0x02,0x02,0x02,0xFF,0x01,0x01,0x00,

/*--  :    --*/
/*--  12;  ¶ӦĵΪx=16x16   --*/
0x08,0x08,0x88,0xFF,0x48,0x28,0x00,0xC8,0x48,0x48,0x7F,0x48,0xC8,0x48,0x08,0x00,
0x01,0x41,0x80,0x7F,0x00,0x40,0x40,0x20,0x13,0x0C,0x0C,0x12,0x21,0x60,0x20,0x00,

};




unsigned char code pic1[]=
{/*-- 96x32  --*/
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x20,0xE0,0xF0,0x30,0x10,0x18,
0x18,0x18,0x10,0x30,0x18,0x0C,0x84,0x8F,0xCC,0xCC,0xDC,0xFC,0x70,0x40,0xC0,0xF0,
0xF8,0xF8,0xF8,0xF8,0xF0,0xF0,0xF0,0xF0,0xF0,0xF0,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0xC0,0xF8,0xFC,0xFF,0xFE,0xE0,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x80,0xE0,0xF0,0xF8,0xFC,0xFC,0xFE,0xFE,0xFC,0xF8,0xF0,0xF0,0x58,0x08,
0x0C,0x0E,0x0E,0x06,0x04,0x0C,0x0C,0x0C,0x04,0x04,0x1C,0xFC,0xEC,0xC0,0x80,0x00,
0xE0,0xE0,0xF8,0xF8,0xF8,0xF8,0xF8,0xF0,0xF0,0x78,0x1C,0x3F,0x3F,0xBE,0xBF,0xFF,
0xDF,0xDD,0x8F,0x87,0x03,0x03,0x07,0x87,0xEF,0xEF,0x7F,0x7F,0xF7,0xF2,0xF3,0xE7,
0xEF,0xDF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFE,0x38,0x10,0x00,0x00,
0x30,0x30,0x38,0x3C,0x3F,0x3D,0x37,0x26,0x3D,0x39,0x7F,0xF8,0x80,0x00,0x00,0x00,
0x00,0x00,0x03,0x0F,0x9F,0x7F,0x1F,0x0F,0x7F,0x7F,0xFF,0xFF,0xFB,0xFB,0xFB,0xF6,
0xEE,0x7C,0x18,0x18,0x78,0xFC,0xFC,0xFC,0xFC,0xF4,0xF6,0xF7,0xFD,0xFD,0xF9,0x07,
0x07,0x07,0x0F,0x1F,0x1F,0x1F,0xFF,0xFF,0x01,0x00,0xF8,0xFE,0xFF,0xFF,0x0F,0x03,
0x73,0x11,0x11,0xB3,0x0F,0x00,0x00,0x0F,0x03,0x18,0x04,0x0C,0xC8,0xC0,0xE3,0xFF,
0xFF,0xFF,0x7F,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x03,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x61,0x3F,0x7C,0xE8,0xC8,
0xC8,0xF8,0x3C,0xEF,0xF1,0xF8,0xFC,0xFC,0xFE,0xDE,0x6F,0x2F,0xFF,0xFF,0x3D,0x00,
0x00,0x00,0x00,0xE0,0xF8,0xF8,0xBD,0x3D,0xFD,0xFB,0xFB,0xF1,0xF1,0xE1,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0xFF,0xFF,0x00,0x00,0x07,0x0F,0x0F,0x0F,0x0F,0x0E,
0x0E,0x06,0x03,0x01,0x30,0x32,0x33,0x1F,0x1B,0x10,0x10,0x1C,0x0C,0x00,0x00,0x00,
0x00,0x00,0x00,0x80,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x0E,0x1C,0x18,0x11,0x3B,
0x7F,0xFF,0x60,0xC3,0x87,0x0F,0x0F,0x0F,0x0F,0x8E,0x86,0x8F,0x9C,0x8C,0x80,0x80,
0x00,0x00,0x00,0x01,0x0C,0x0C,0x1D,0x1C,0x3F,0x3F,0x3F,0x1F,0x1F,0x0F,0x01,0x00,


};

unsigned char code pic2[]=
{
/*-- 96x32  --*/
0xFF,0x01,0x01,0x01,0x01,0x01,0x01,0xF1,0x11,0x11,0xF1,0x11,0x11,0xE1,0x01,0xF1,
0x11,0x11,0xE1,0x01,0x89,0x05,0x25,0xD9,0x01,0x01,0x01,0x01,0xF1,0x11,0x11,0xF1,
0x11,0x11,0xE1,0x01,0xE1,0x51,0x51,0x61,0x01,0xE1,0x11,0x11,0xFD,0x01,0xF5,0x01,
0x91,0x51,0x51,0xF1,0x01,0x01,0x01,0x01,0xF1,0x11,0x11,0xE1,0x01,0xFD,0x01,0x91,
0x51,0x51,0xF1,0x01,0x11,0xE1,0x01,0xE1,0x11,0x01,0xE1,0x51,0x51,0x61,0x01,0xF1,
0x11,0x11,0x01,0x01,0x01,0xA1,0x61,0xE1,0x01,0x01,0x21,0x21,0x41,0x81,0x01,0xFF,
0xFF,0x00,0x00,0x00,0xF0,0xE0,0xC0,0x81,0x00,0x00,0x01,0x00,0x00,0x01,0xE0,0x07,
0x81,0x81,0x80,0x00,0x00,0x01,0x01,0x00,0x80,0x80,0x80,0x80,0x81,0x80,0x00,0x01,
0x80,0x00,0x01,0x00,0x80,0x01,0x01,0x01,0x00,0xE0,0x81,0x81,0x01,0x00,0x01,0x80,
0x81,0x01,0x01,0x81,0x80,0x80,0x80,0x00,0x87,0x81,0x81,0xC0,0x80,0x01,0x00,0x01,
0x01,0x01,0x01,0x00,0x80,0x84,0x83,0x80,0x80,0x80,0x00,0x01,0x01,0x81,0x80,0x01,
0x00,0xE0,0x80,0x80,0x03,0x04,0x88,0x08,0x00,0x00,0x8E,0x0C,0x0A,0x01,0x00,0xFF,
0xFF,0x00,0x00,0x00,0x1F,0x0F,0x87,0x83,0x01,0x00,0x00,0x00,0x80,0x00,0x0F,0x00,
0x0F,0x00,0x00,0x8F,0x80,0x80,0x00,0x00,0x8F,0x80,0x00,0x0F,0x00,0x00,0x8F,0x00,
0x80,0xA7,0x18,0x07,0x00,0x00,0x00,0x00,0x80,0x8F,0x80,0x00,0x0F,0x80,0x87,0x0A,
0x0A,0x0B,0x00,0x0C,0x0A,0x0A,0x0F,0x00,0x0F,0x00,0x00,0x0F,0x08,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x0F,0x00,0x00,0x0F,0x00,0x00,0x0F,0x00,0x07,0x08,0x08,0x07,
0x00,0x0F,0x08,0x08,0x07,0x00,0x00,0x27,0x18,0x07,0x00,0x00,0x00,0x00,0x00,0xFF,
0xFF,0x80,0x80,0x80,0x80,0x9F,0xA0,0xA0,0x9F,0x80,0x80,0x81,0xBF,0x80,0x80,0x80,
0xA2,0x80,0x96,0xA3,0xA2,0x9C,0x80,0xA1,0xB0,0xAC,0xA3,0x80,0xB0,0x8E,0x81,0x91,
0xA0,0xA4,0x9B,0x80,0x80,0xA2,0x80,0x96,0xA3,0xA2,0x9C,0x80,0x9B,0xA4,0xA4,0x9B,
0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0x80,0xBE,0xBE,0xBE,0xBE,0xBE,
0xBE,0xBE,0xBE,0xBE,0xBE,0xBE,0xBE,0xBE,0xBE,0xBE,0xBE,0xA2,0xA2,0xA2,0xA2,0xA2,
0xA2,0xA2,0xA2,0xA2,0xA2,0xA2,0xA2,0xA2,0xA2,0xA2,0xBE,0x80,0x80,0x80,0x80,0xFF,

};


unsigned char code pic3[]=
{
/*-- 96x32  --*/
0x00,0x00,0xC0,0x00,0xE0,0x00,0xF0,0x00,0xFC,0x00,0x00,0x04,0x06,0x12,0x12,0xFE,
0xEC,0x00,0xF8,0xFC,0x06,0x02,0x22,0xE6,0xE4,0x00,0x00,0xF0,0x90,0x9C,0x04,0xF4,
0x04,0xF4,0xF4,0x04,0xF4,0xF4,0x04,0x04,0xFC,0x00,0x00,0xFC,0xFC,0x10,0x10,0xF0,
0xE0,0x00,0xFC,0xFC,0x00,0xF0,0xF0,0x00,0x00,0xF0,0xF0,0x00,0xE0,0xF0,0x50,0x50,
0x70,0x60,0x10,0xF8,0xFC,0x10,0x00,0xE0,0xF0,0x10,0x10,0xF0,0xE0,0x00,0xE0,0xF0,
0x10,0x10,0xF0,0xE0,0x10,0xF8,0xFC,0x10,0x00,0xFC,0xFC,0x10,0x10,0xF0,0xE0,0x00,
0x03,0x00,0x03,0x00,0x03,0x00,0x03,0x80,0xC3,0xE0,0xE0,0xE1,0xE3,0xE2,0xC2,0xC3,
0x01,0x00,0x00,0x01,0x03,0x02,0x02,0x83,0xE1,0xE0,0xE0,0x00,0x00,0x03,0x02,0x02,
0x02,0x02,0x02,0x02,0x02,0x02,0x02,0x02,0xC3,0xC0,0xE0,0xE3,0xE3,0xE2,0xE2,0xC3,
0x81,0x00,0x03,0x03,0x00,0x81,0xC3,0xE2,0xE2,0xE3,0xE3,0xE0,0xC1,0x83,0x02,0x02,
0x03,0x01,0x00,0x01,0x03,0x82,0xC0,0x01,0x03,0x02,0x02,0xC3,0x01,0x80,0x41,0x83,
0x02,0x02,0xC3,0x01,0x00,0x01,0xC3,0x02,0x00,0x83,0x43,0x40,0x40,0x83,0x03,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x07,0x07,0x07,0x01,0x80,0xC0,0xE0,0xF1,0x7F,0x3F,
0x0F,0x00,0x00,0x00,0x0E,0x07,0x07,0x03,0xFF,0xFF,0xFF,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x03,0x03,0x03,0x01,0x38,0x38,0x3C,0x7F,0xEF,
0xE7,0xC0,0x00,0x00,0xFE,0xFF,0xFF,0x01,0x00,0x00,0x00,0x01,0xFF,0xFF,0xFE,0x00,
0x00,0x00,0x00,0x00,0x01,0x00,0xDF,0xC0,0xC0,0x18,0x07,0x00,0xD8,0xC7,0xC4,0x07,
0x18,0x00,0x0F,0x10,0x10,0x10,0x0F,0x00,0x00,0x0F,0x10,0x10,0x12,0x0E,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x30,0x3C,0x3E,0x3F,0x3F,0x3B,0x39,0x38,0x38,0x38,
0x38,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x3F,0x3F,0x00,0x00,0x00,0x00,0x00,
0x38,0x38,0x38,0x00,0x00,0x00,0x00,0x07,0x0F,0x1F,0x3C,0x38,0x38,0x38,0x3C,0x1F,
0x0F,0x07,0x00,0x00,0x03,0x0F,0x1F,0x3C,0x38,0x38,0x38,0x3C,0x1F,0x0F,0x03,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x3F,0x3F,0x03,0x1F,0x38,0x1F,0x03,0x3F,0x3F,0x00,
0x1E,0x3F,0x21,0x21,0x3F,0x1E,0x00,0x3F,0x3F,0x01,0x01,0x3F,0x3E,0x00,0x00,0x00,
};

unsigned char code pic4[]=
{
/*-- 96x32  --*/
0x80,0xF0,0xFC,0xFF,0x7F,0x0F,0x07,0x21,0xF4,0x00,0x00,0x80,0x80,0x80,0xC0,0xC0,
0xC0,0x80,0x80,0x80,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xC0,0x60,
0x18,0x8E,0x63,0xB0,0x5C,0xD7,0xFD,0xFF,0x7F,0x6F,0xB7,0xED,0x37,0xBF,0xB7,0xF2,
0xFC,0xFF,0xBF,0xBF,0x37,0xAE,0x3F,0xEF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,
0xD7,0xFE,0x7F,0xBF,0x7F,0x8D,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xFC,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xF7,0xFE,0xFF,0xFF,0xFF,0xFE,0xFF,0xFF,0xFF,0xFF,
0xFF,0x3F,0xFF,0x03,0x00,0x00,0xF0,0xFE,0xFF,0x3B,0x81,0xA1,0xD4,0xF4,0xF4,0x76,
0xF6,0x74,0x7C,0xED,0xF9,0xD2,0xB4,0x00,0x00,0x00,0x10,0x08,0x06,0x03,0x19,0x2C,
0x17,0x09,0x14,0x1A,0x0D,0x07,0x03,0x29,0x5D,0x4E,0xE7,0x6A,0x7B,0xBD,0x7F,0x1F,
0x1D,0x1D,0xDD,0xFD,0xFD,0xFD,0xFF,0xFF,0xFF,0xBF,0x7F,0xE7,0xC5,0xF2,0xBC,0x1E,
0x4F,0x27,0x91,0xE3,0xFE,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0x01,0x00,0x01,0x00,0x00,0x00,0x1F,0x3F,0x01,0x00,0x01,0x02,0x01,0x03,0x07,0xC0,
0x86,0x3C,0xF6,0xFF,0xFF,0x9F,0xBF,0xFE,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x80,0x85,0xBF,
0xF2,0xD9,0xFF,0xFF,0xFF,0x8F,0xDF,0x7F,0x1F,0x84,0xD3,0xAD,0x57,0xAB,0xD5,0xE9,
0x31,0xCE,0xF7,0xFF,0x3F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBF,0xDF,
0xEF,0xFF,0xF7,0x73,0xFD,0xDF,0x2F,0x1F,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0x00,0xDC,0x00,0x00,0x03,0x03,
0x01,0x01,0x01,0x81,0x41,0x31,0x1D,0x87,0xC0,0xA0,0x55,0xAA,0x54,0xA8,0x70,0x20,
0x00,0x00,0x00,0x00,0x00,0x20,0x30,0x10,0x18,0x30,0x50,0x28,0x19,0x11,0x01,0x08,
0x00,0x00,0x01,0x01,0x01,0x81,0x41,0xA1,0x51,0xAB,0x57,0xAB,0x55,0xAA,0x75,0xBE,
0x5B,0x2D,0x86,0xF3,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xBB,0xCD,
0x56,0x49,0x75,0x9F,0x63,0x09,0xC7,0xF0,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,0xFF,
};


